'Email Sender
'Author: Corey Haines (corey@elender.hu)
'Description: The email sender script will take the contents of the active document and send it to an email address.
'	It will ask for the email address to send the message to. There is a c_GetSubject constant which can be set to
' true or false, which toggles whether a Subject is requested. If this is set to false, then the c_DefaultSubject
' constant is used as the subject
'Updates:
'August 30, 2000 - Added support for EasyMail (http://www.quiksoft.com/easymail)
'August 30, 2000 - Added c_GetSubject and c_DefaultSubject
'
' This script has been released to the public domain. If you make a change, please let me know, so I can add it,
' if necessary, to the original. You are free to distribute this script, as long as you leave this header in place.
'
option explicit

const c_GetSubject = true
const c_DefaultSubject = "Homesite document from Corey Haines"

' Email Client enumeration
' 0 - Outlook
' 1- EasyMail
const c_EmailClient = 1

' Variables used for different email clients
const c_MailServer = "your mail server" ' EasyMail
const c_FromAddress = "your from address" ' EasyMail
const c_FromName = "your from name" ' EasyMail
const c_ReplyAddress = "your reply address" ' EasyMail

' License Keys
const c_EasyMail = "your EasyMail key"

sub Main()
	dim oOut
	dim oMsg

	dim oAcDoc
	dim sToAddress
	dim sSubject
	dim sToSend
	
	sToAddress = trim(InputBox("Please enter a To: address"))
	if len(sToAddress) > 0 then
		if c_GetSubject then
			sSubject = InputBox("Please enter a subject")
		else
			sSubject = c_DefaultSubject
		end if
	
		set oAcDoc = Application.ActiveDocument
		sToSend = oAcDoc.Text
		set oAcDoc = Nothing
		
		select case c_EmailClient
		case 0 ' Outlook
			SendOutlookMail sToAddress, sSubject, sToSend
		case 1 ' EasyMail
			SendEasyMail sToAddress, sSubject, sToSend
		case else
			msgbox "Unknown email client registered in c_EmailClient"
		end select
	end if
end sub

sub SendEasyMail(sToAddress, sSubject, sToSend)
	dim oMsg
	
	set oMsg = CreateObject("EasyMail.SMTP.4")
	oMsg.MailServer = c_MailServer
	oMsg.From = c_FromName
	oMsg.FromAddr = c_FromAddress
	oMsg.ReplyTo = c_ReplyAddress
	oMsg.Subject = sSubject
	oMsg.BodyText = sToSend
	oMsg.AddRecipient sToAddress, sToAddress, 1
	select case oMsg.Send
	case 0
		'success
	case else
		' error
		msgbox "Could not send mail through EasyMail"
	end select
	set oMsg = Nothing
end sub

sub SendOutlookMail(sToAddress, sSubject, sToSend)
	dim oOut, oMsg
	set oOut = CreateObject("Outlook.Application")
	set oMsg = oout.createitem(0)
	oMsg.To = sToAddress
	oMsg.subject = sSubject
	oMsg.body = sToSend
	oMsg.send
	set oMsg = nothing
	set oOut = nothing
end sub